# osgUtil::SmoothingVisitor Class Reference

A smoothing visitor for calculating smoothed normals for osg::GeoSet's which contains surface primitives. More...

Inheritance diagram for osgUtil::SmoothingVisitor:

[legend]
List of all members.

## Public Member Functions

| SmoothingVisitor ()
| default to traversing all children.
virtual | ~SmoothingVisitor ()
virtual void | apply (osg::Geode &geode)
| apply smoothing method to all geode geosets.

## Static Public Member Functions

static void | smooth (osg::Geometry &geoset)
| smooth geoset by creating per vertex normals.

## Detailed Description

A smoothing visitor for calculating smoothed normals for osg::GeoSet's which contains surface primitives.

## Constructor & Destructor Documentation

SmoothingVisitor::SmoothingVisitor | ( |  | ) |

| default to traversing all children.

SmoothingVisitor::~SmoothingVisitor | ( |  | ) | `[virtual]`

## Member Function Documentation

void SmoothingVisitor::apply | ( | osg::Geode & | geode | ) | `[virtual]`

| apply smoothing method to all geode geosets.

void SmoothingVisitor::smooth | ( | osg::Geometry & | geoset | ) | `[static]`

| smooth geoset by creating per vertex normals.

The documentation for this class was generated from the following files:

- SmoothingVisitor
- SmoothingVisitor.cpp